CREATE TABLE moo_part_engmt_type_map (
    PART_ENGMT_TYPE_MAP_ID     NUMBER(18, 0) ,
    PART_ENGMT_TYPE_MAP_NUM    VARCHAR2(256)     NOT NULL,
    PART_ENGMT_TYPE_CODE       VARCHAR2(120)     NOT NULL,
    PART_PROPAGATION_FLAG      VARCHAR2(4)       NOT NULL,
    REVN_SALES_CHANNEL         VARCHAR2(120)     NOT NULL,
    CONFLICT_ID                NUMBER(18, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    USER_LAST_UPDATE_DATE      TIMESTAMP(6)  ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    PART_ENGMT_TYPE_MAP_ID     NUMBER(18, 0) ,
    PART_ENGMT_TYPE_MAP_NUM    VARCHAR2(256)     NOT NULL,
    PART_ENGMT_TYPE_CODE       VARCHAR2(120)     NOT NULL,
    PART_PROPAGATION_FLAG      VARCHAR2(4)       NOT NULL,
    REVN_SALES_CHANNEL         VARCHAR2(120)     NOT NULL,
    CONFLICT_ID                NUMBER(18, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    USER_LAST_UPDATE_DATE      TIMESTAMP(6)  ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_moo_part_engmt_type_map PRIMARY KEY (PART_ENGMT_TYPE_MAP_ID, PART_ENGMT_TYPE_MAP_ID)
);
